﻿using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace WpfApplication54
{
    public class ValueToMarginConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value != null && (double)value == 1)
            {
                var margin = double.Parse(parameter.ToString());
                return new Thickness(0, -margin, 0, 0);
            }
            return new Thickness(0);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
